using System;

namespace InABox.Core
{
    [UserTracking(false)]
    public class AuditTrail : Entity, IRemotable, IPersistent, ILicense<CoreLicense>
    {
        [SecondaryIndex]
        [NullEditor]
        public Guid EntityID { get; set; }

        [EditorSequence(1)]
        [TimestampEditor(Visible = Visible.Default, Editable = Editable.Disabled)]
        public DateTime Timestamp { get; set; }

        [EditorSequence(2)]
        [CodeEditor(Visible = Visible.Default, Editable = Editable.Disabled)]
        public string User { get; set; }

        [EditorSequence(3)]
        [TextBoxEditor(Visible = Visible.Default, Editable = Editable.Disabled)]
        public string Note { get; set; }
    }
}